Installation fails on MacOs 10.12.6 (Bug #650)


Added by Pierre Artoisenet 5 months ago. Updated about 1 month ago.


Status:New Start date:05/31/2019
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:-
Target version:-

Description

Dear developers,

I have tried to install AMC with HomeBrew.
Following the instructions, I issued the following command:

sudo auto-multiple-choice latex-link

which gives me this error:

gettext.c: loadable library and perl binaries are mismatched (got handshake key 0xc500080, needed 0xc400080)

Do you have any advice how to proceed to solve this issue ?

Many thanks,

Pierre.

Extra information:

1) "brew info auto-multiple-choice" gives me this:

maelvalais/amc/auto-multiple-choice: stable 1.4.0 (bottled)
printable tests for students with OCR marking
https://www.auto-multiple-choice.net
Conflicts with:
auto-multiple-choice-devel (because both install `bin/auto-multiple-choice`)
/usr/local/Cellar/auto-multiple-choice/1.4.0_2 (1,101 files, 28.3MB) *
Poured from bottle on 2019-05-31 at 00:42:53
From: https://github.com/maelvalais/homebrew-amc/blob/master/auto-multiple-choice.rb
> Dependencies
Build: librsvg ✔, make ✔
Required: adwaita-icon-theme ✔, cairo ✔, freetype ✔, gettext ✔, glib ✔, gobject-introspection ✔, gtk+3 ✔, imagemagick@6 ✔, libffi ✔, netpbm ✔, opencv ✔, pango ✔, perl ✔, poppler ✔, qpdf ✔
> Requirements
Required: x11 ✔
==> Caveats ...


History

Updated by Maël Valais about 1 month ago

Could you open an issue in https://github.com/maelvls/homebrew-amc/issues? Easier for me 😁 Sorry for having taken so long to come across your issue

Could you try to

brew linkage auto-multiple-choice

and show the results?

Also available in: Atom PDF